# CPPNodeRenderer class

(Shortest import: `from brian2.parsing.rendering import CPPNodeRenderer)`

class brian2.parsing.rendering.CPPNodeRenderer(auto_vectorise=None)

  Bases: `NodeRenderer`

  Methods

  `render_Assign`(node) |
  `render_BinOp`(node) |
  `render_Constant`(node) |
  `render_Name`(node) |

  Details

  render_Assign(node)
  render_BinOp(node)
  render_Constant(node)
  render_Name(node)